public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-base/xfce4-session/
Date: Sun, 19 May 2019 06:18:40 +0000 (UTC)	[thread overview]
Message-ID: <1558246687.4364f4ecabd370cabf5f260da4fb80e0788d25d4.mgorny@gentoo> (raw)

commit:     4364f4ecabd370cabf5f260da4fb80e0788d25d4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 06:05:48 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 19 06:18:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4364f4ec

xfce-base/xfce4-session: Bump to 4.13.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/xfce4-session/Manifest                   |  1 +
 .../xfce4-session/xfce4-session-4.13.2.ebuild      | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/xfce-base/xfce4-session/Manifest b/xfce-base/xfce4-session/Manifest
index 6f01c726f4e..5e3874f9950 100644
--- a/xfce-base/xfce4-session/Manifest
+++ b/xfce-base/xfce4-session/Manifest
@@ -1,2 +1,3 @@
 DIST xfce4-session-4.12.1.tar.bz2 1289284 BLAKE2B 00af274ac1160a413c9e2c8b308dfc84248f0078e8c294528614bb642988468f9dadaae906b4a8e2179d2beef0a48ebf5e2eedcb2ed3ad7ea73a8f7a9b90e224 SHA512 d7f37dbff59acb316965ab2224674ac3b5b7cfd7262acd4426b582001cee313945acb8883be21553dd6d7a046934bbbe116f451e6d5fd35b6fa5444da94605df
 DIST xfce4-session-4.13.1.tar.bz2 1322823 BLAKE2B e50cc2628a068bed39d2aa6344eab7676e6464c84e3cf11d79518f78db54ea01316bd098a541b6f0897f3decbed2eb37e55009d4bf89d460e136d7a44d31c26a SHA512 5845e3591919e23ca176199e81075a097ef9d65cbcf23b34d84afc649a307bfa8c6492e3a01855cacff9328da809725213ec1fa9d76024c0a0c25cce3c51da1b
+DIST xfce4-session-4.13.2.tar.bz2 829041 BLAKE2B 3b5c8a5722b7a38a95e12ec2145e2c155928e0ee5d7d8e9f47c86ec4e03f34b983bcd3dcbc1a3d6c2d84f991ed8e9f59b7db76716862c91290280db507a8b84e SHA512 cb1e63a3df9c4ac3efcb0cce20cb5528f9d1a46731ad4b32634ad5f4a53711f05b40d98464bfd562b4e3d42b2555827ece03e63c6a433e879fa0f0a4ccda6a57

diff --git a/xfce-base/xfce4-session/xfce4-session-4.13.2.ebuild b/xfce-base/xfce4-session/xfce4-session-4.13.2.ebuild
new file mode 100644
index 00000000000..c9dc5edb2d0
--- /dev/null
+++ b/xfce-base/xfce4-session/xfce4-session-4.13.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="A session manager for the Xfce desktop environment"
+HOMEPAGE="https://docs.xfce.org/xfce/xfce4-session/start"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="elogind nls policykit systemd +xscreensaver"
+
+COMMON_DEPEND="x11-apps/iceauth
+	>=dev-libs/glib-2.42
+	>=x11-libs/gtk+-3.22:3
+	x11-libs/libSM:=
+	x11-libs/libwnck:3=
+	x11-libs/libX11:=
+	>=xfce-base/libxfce4util-4.12:=
+	>=xfce-base/libxfce4ui-4.12.1:=[gtk3(+)]
+	>=xfce-base/xfconf-4.12:=
+	policykit? ( >=sys-auth/polkit-0.102:= )"
+RDEPEND="${COMMON_DEPEND}
+	x11-apps/xrdb
+	nls? ( x11-misc/xdg-user-dirs )
+	xscreensaver? ( || (
+		>=x11-misc/xscreensaver-5.26
+		>=x11-misc/xlockmore-5.43
+		x11-misc/slock
+		x11-misc/alock[pam]
+	) )"
+DEPEND="${COMMON_DEPEND}
+	dev-util/intltool
+	sys-devel/gettext
+	virtual/pkgconfig"
+
+REQUIRED_USE="elogind? ( policykit )
+	systemd? ( policykit )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.10.1-alock_support_to_xflock4.patch
+# TODO: this patch needs updating for the new version, and finding
+# upstream bug.
+#	"${FILESDIR}"/${PN}-4.12.1-light-locker_support_to_xflock4.patch
+)
+
+src_configure() {
+	local myconf=(
+		$(use_enable policykit polkit)
+		--with-xsession-prefix="${EPREFIX}"/usr
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+
+	local sessiondir=/etc/X11/Sessions
+	echo startxfce4 > "${T}"/Xfce4 || die
+	exeinto ${sessiondir}
+	doexe "${T}"/Xfce4
+	dosym Xfce4 ${sessiondir}/Xfce
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2019-05-19  6:18 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-19  6:18 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-29 16:58 [gentoo-commits] repo/gentoo:master commit in: xfce-base/xfce4-session/ Michał Górny
2024-06-29  8:53 Sam James
2024-06-29  8:53 Sam James
2024-06-29  8:53 Sam James
2024-06-29  8:25 Sam James
2024-06-29  8:25 Sam James
2024-06-29  6:33 Arthur Zamarin
2024-06-09 17:35 Michał Górny
2024-03-31 15:36 Michał Górny
2024-03-09  9:58 Michał Górny
2023-06-11 19:19 Michał Górny
2023-06-11 15:37 Sam James
2023-06-11 15:04 Sam James
2023-05-29 19:06 Michał Górny
2023-05-29 19:06 Michał Górny
2023-04-18 16:45 Michał Górny
2023-03-28 18:13 Michał Górny
2023-03-17 19:31 Michał Górny
2023-03-17 19:23 Sam James
2023-03-17 19:01 Sam James
2023-03-17 18:34 Arthur Zamarin
2023-03-17 18:28 Michał Górny
2023-03-17 18:25 Sam James
2023-03-17 17:30 Sam James
2023-03-17 17:29 Sam James
2023-03-17  8:56 Arthur Zamarin
2023-03-15  6:55 Michał Górny
2023-02-10 13:02 Michał Górny
2023-02-03 16:53 Sam James
2023-02-03 14:21 Arthur Zamarin
2023-02-03 14:21 Arthur Zamarin
2023-02-03 13:32 Arthur Zamarin
2022-12-15 15:04 Michał Górny
2022-12-15 15:04 Michał Górny
2022-12-01 13:55 Michał Górny
2022-11-01 12:17 Michał Górny
2022-09-14 17:36 Michał Górny
2022-08-28  6:49 WANG Xuerui
2021-05-29  0:03 Yixun Lan
2021-04-12 23:33 Sam James
2021-02-18 22:08 Sam James
2021-02-18  7:26 Sam James
2021-02-08  6:11 Sam James
2021-02-08  6:05 Sam James
2021-01-18 20:29 Michał Górny
2021-01-12 18:33 Michał Górny
2020-12-22 23:35 Michał Górny
2020-12-16 13:29 Michał Górny
2020-11-07 21:25 Michał Górny
2020-09-18  9:45 Michał Górny
2020-08-14 11:50 Michał Górny
2020-07-23  8:04 Kent Fredric
2020-07-19 13:38 Sam James
2020-06-29 18:24 Mikle Kolyada
2020-06-20 15:23 Thomas Deutschmann
2020-06-14 20:19 Sergei Trofimovich
2020-06-14 20:08 Sergei Trofimovich
2020-04-17  5:54 Michał Górny
2020-03-29  7:04 Michał Górny
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 18:34 Agostino Sarubbo
2020-03-15 18:31 Agostino Sarubbo
2020-03-14 19:24 Sergei Trofimovich
2020-03-14 18:05 Mikle Kolyada
2020-03-13 18:54 Agostino Sarubbo
2020-01-11  5:08 Michał Górny
2019-10-13 11:24 Mikle Kolyada
2019-10-12 21:23 Sergei Trofimovich
2019-10-12 21:16 Sergei Trofimovich
2019-08-13  5:57 Michał Górny
2019-08-11 20:33 Michał Górny
2019-07-28 13:08 Michał Górny
2019-07-28 13:08 Michał Górny
2019-07-01  7:56 Michał Górny
2019-05-24 22:20 Michał Górny
2019-03-31 18:20 Michał Górny
2019-01-21 19:40 Sergei Trofimovich
2018-12-08 22:04 Mikle Kolyada
2018-12-02 11:12 Mikle Kolyada
2018-11-27 16:01 Tobias Klausmann
2018-11-24 13:40 Sergei Trofimovich
2018-11-12 13:45 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-08-04 10:40 Michał Górny
2018-08-04 10:40 Michał Górny
2018-04-08  9:04 Michał Górny
2018-04-08  8:29 Michał Górny
2017-06-07 20:06 Michał Górny
2017-04-16 22:25 Michał Górny
2017-01-26 10:22 Agostino Sarubbo
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-09-29  4:37 Jeroen Roovers
2016-06-30 16:58 Tobias Klausmann
2016-06-26 18:39 Markus Meier
2015-10-17 18:32 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1558246687.4364f4ecabd370cabf5f260da4fb80e0788d25d4.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox